#
# spec file for package ghc-re2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name re2
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2
Release:        4.5
Summary:        Bindings to the re2 regular expression library
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-vector-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  re2-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
%endif

%description
Re2 is a regular expression library offering predictable run-time and memory
consumption. This package is a binding to re2.

Supported expression syntax is documented at <https://github.com/google/re2/>

>$ ghci -XOverloadedStrings >ghci> import Regex.RE2 > >ghci> find "\w+" "hello
world" >Just (Match [Just "hello"]) > >ghci> find "\w+$" "hello world" >Just
(Match [Just "world"]) > >ghci> find "^\w+$" "hello world" >Nothing.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
BuildRequires:  gcc-c++
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       glibc-devel
Requires:       libstdc++-devel
Requires:       re2-devel
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license license.txt

%files devel -f %{name}-devel.files

%changelog
* Wed Mar 14 2018 psimons@suse.com
- Update re2 to version 0.2.
  A more detailed change log is not available.
